﻿
'a730D_MSR
'SJJ Embedded Micro Solutions
'Copyright (c) 2004 - 2010 SJJ Micro Solutions, LLC. All Rights Reserved


Imports Microsoft.PointOfService
Imports System.Text
Imports System.Threading


Public Class a7330D_MSR
    WithEvents myExplorer As PosExplorer
    WithEvents myMSR As Msr


    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        myExplorer = New PosExplorer(Me)
        Dim MsrDevice As DeviceInfo = myExplorer.GetDevice("Msr", "MGTK_MSR")

        Try
            myMSR = myExplorer.CreateInstance(MsrDevice)
            myMSR.Open()
            myMSR.Claim(1000)
            myMSR.DeviceEnabled = True
            myMSR.DataEventEnabled = True
            myMSR.DecodeData = True
            lblStatus.Text = "MSR Ready"
        Catch ex As Exception
            lblStatus.Text = "MSR Not Found"
        End Try
        Update()

    End Sub

    Private Sub myMSR_DataEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DataEventArgs) Handles myMSR.DataEvent

        Dim myEncoding As New ASCIIEncoding

        Try
            txtTrack1.Text = myEncoding.GetString(myMSR.Track1Data)
            txtTrack2.Text = myEncoding.GetString(myMSR.Track2Data)
            txtTrack3.Text = myEncoding.GetString(myMSR.Track3Data)
            lblStatus.Text = "Data Event"
        Catch ex As Exception
            lblStatus.Text = "Data Event Failed"
        End Try
        Update()

        myMSR.DataEventEnabled = True
        Thread.Sleep(1000)
        lblStatus.Text = "Ready"
        Update()



    End Sub
End Class
